### Function

# Gck UriData new

#### Declaration [src]

    GckUriData*
    gck_uri_data_new (
      void
    )

#### Description [src]

Allocate a new GckUriData structure. None of the fields will be set.

#### Return value

Returns: | `GckUriData`
| A newly allocated GckUriData, free with `gck_uri_data_free()`
| The caller of the function takes ownership of the data, and is responsible for freeing it.